> ## Documentation Index
> Fetch the complete documentation index at: https://docs.subotiz.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Customer

> List Customer



## OpenAPI

````yaml openapi/v1-en.yaml GET /api/v1/front/customer
openapi: 3.0.3
info:
  title: Subotiz API
  description: Subotiz OpenAPI
  version: 1.0.0
servers:
  - url: https://{api}.subotiz.com
    variables:
      api:
        default: api
security:
  - sec0: []
tags:
  - name: Subscription
    description: Subscription
  - name: Price
    description: Price
  - name: Trade
    description: Trade
  - name: Payment
    description: Payment
  - name: Checkout Session
    description: Checkout Session
  - name: Customer
    description: Customer
  - name: Customer Portal
    description: Customer Portal
paths:
  /api/v1/front/customer:
    get:
      tags:
        - Customer
      summary: List Customer
      description: List Customer
      operationId: v1-customer-list-customer
      parameters:
        - name: search_customer_ids
          in: query
          description: 'Filter by customer IDs. Array size limit: [0,10]'
          schema:
            type: array
            items:
              type: string
        - name: search_email
          in: query
          description: 'Filter by emails. Array size limit: [0,10]'
          schema:
            type: array
            items:
              type: string
        - name: search_payer_id
          in: query
          description: 'Filter by integration-side customer IDs.  Array size limit: [0,10]'
          schema:
            type: array
            items:
              type: string
        - name: customer_type
          in: query
          description: |-
            Filter type
             - customer: member
             - guest: visitor
          schema:
            type: string
        - name: starting_after
          in: query
          description: >-
            Cursor for pagination. starting_after is the object ID that defines
            your position in the list. For example, if you want to get the next
            page, you can use the last object's ID as the parameter value after
            getting the object list for the first time. Cannot be used together
            with ending_before
          schema:
            type: string
        - name: ending_before
          in: query
          description: >-
            Cursor for pagination. ending_before is the object ID that defines
            your position in the list. For example, if you want to get the
            previous page, you can use the first object's ID as the parameter
            value after getting the object list for the first time. Cannot be
            used together with starting_after
          schema:
            type: string
        - name: limit
          in: query
          description: >-
            Pagination parameter, number of items per page, default: 10,
            interface defaults to sorting by creation time in descending order.
            Limit: [1, 100]
          schema:
            type: integer
            format: int32
        - name: created_at.gt
          in: query
          description: >-
            Minimum value to filter by (exclusive, UTC time in RFC3339 format,
            such as '2025-01-01T00:00:00Z')
          schema:
            type: string
        - name: created_at.gte
          in: query
          description: >-
            Minimum value to filter by (inclusive, UTC time in RFC3339 format,
            such as '2025-01-01T00:00:00Z')
          schema:
            type: string
        - name: created_at.lt
          in: query
          description: >-
            Maximum value to filter by (exclusive, UTC time in RFC3339 format,
            such as '2025-01-01T00:00:00Z')
          schema:
            type: string
        - name: created_at.lte
          in: query
          description: >-
            Maximum value to filter by (inclusive, UTC time in RFC3339 format,
            such as '2025-01-01T00:00:00Z')
          schema:
            type: string
        - $ref: '#/components/parameters/HeaderRequestID'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListCustomerResponse'
components:
  parameters:
    HeaderRequestID:
      name: Request-Id
      in: header
      description: The unique identifier of the request
      required: true
      schema:
        type: string
        default: 008e3967-a1b5-48bb-be14-d5bff5092e61
  schemas:
    ListCustomerResponse:
      type: object
      properties:
        code:
          type: string
          description: error code
        message:
          type: string
          description: error message
        data:
          $ref: '#/components/schemas/ListCustomerResponse_Data'
    ListCustomerResponse_Data:
      type: object
      properties:
        has_more:
          type: boolean
          description: Whether there is more data
        list:
          type: array
          items:
            $ref: '#/components/schemas/CustomerInfo'
          description: Customer information record list
    CustomerInfo:
      type: object
      properties:
        id:
          type: string
        email:
          type: string
        address:
          type: string
        phone:
          type: string
        name:
          type: string
        description:
          type: string
        payer_id:
          type: string
      description: Customer information
  securitySchemes:
    sec0:
      type: http
      description: >-
        Bearer API Key authentication. Format: Authorization: Bearer
        {your_api_key}
      scheme: bearer

````